POST api/VoiceBoot
Request Information
URI Parameters
None.
Body Parameters
CallData| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_id | integer |
None. |
|
| department_id | integer |
None. |
|
| call_script_id | integer |
None. |
|
| datetime_stamp | string |
None. |
|
| duration | string |
None. |
|
| caller | string |
None. |
|
| steps | Collection of Step |
None. |
Request Formats
application/json, text/json
Sample:
{
"customer_id": 1,
"department_id": 2,
"call_script_id": 3,
"datetime_stamp": "sample string 4",
"duration": "sample string 5",
"caller": "sample string 6",
"steps": [
{
"Key": 1,
"Value": "sample string 2"
},
{
"Key": 1,
"Value": "sample string 2"
}
]
}
application/xml, text/xml
Sample:
<VoiceBootController.CallData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WebApi.Controllers">
<call_script_id>3</call_script_id>
<caller>sample string 6</caller>
<customer_id>1</customer_id>
<datetime_stamp>sample string 4</datetime_stamp>
<department_id>2</department_id>
<duration>sample string 5</duration>
<steps>
<VoiceBootController.Step>
<Key>1</Key>
<Value>sample string 2</Value>
</VoiceBootController.Step>
<VoiceBootController.Step>
<Key>1</Key>
<Value>sample string 2</Value>
</VoiceBootController.Step>
</steps>
</VoiceBootController.CallData>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |